package com.rma.epstopik_bengaliword.Admov;

import android.content.Context;
import android.util.Log;
import android.view.View;
import android.widget.LinearLayout;
import android.widget.Toast;
import androidx.annotation.NonNull;
import com.android.volley.Request;
import com.android.volley.RequestQueue;
import com.android.volley.Response;
import com.android.volley.VolleyError;
import com.android.volley.toolbox.StringRequest;
import com.android.volley.toolbox.Volley;
import com.facebook.ads.Ad;
import com.facebook.ads.AdError;
import com.facebook.ads.InterstitialAdListener;
import com.google.android.gms.ads.AdListener;
import com.google.android.gms.ads.AdRequest;
import com.google.android.gms.ads.AdSize;
import com.google.android.gms.ads.AdView;
import com.google.android.gms.ads.LoadAdError;
import com.google.android.gms.ads.interstitial.InterstitialAd;
import com.google.android.gms.ads.interstitial.InterstitialAdLoadCallback;
import com.rma.epstopik_bengaliword.R;

public class AdClass {

    public static AdView adView;
    public static InterstitialAd mInterstitialAd;
    public static com.facebook.ads.AdView faceBookadView;

   public static com.facebook.ads.InterstitialAd interstitialAd;

    public static void requestBannerAds(Context context, LinearLayout adContainer) {
        RequestQueue queue = Volley.newRequestQueue(context);
        String url = "https://www.rmatech.xyz/ad_controll/ads.php";

        StringRequest stringRequest = new StringRequest(Request.Method.GET, url, new Response.Listener<String>() {
            @Override
            public void onResponse(String response) {
                if (response.contains("showAd")) {
                    preLoadBannerAds(context,adContainer);
                }
            }
        }, new Response.ErrorListener() {
            @Override
            public void onErrorResponse(VolleyError error) {
                error.printStackTrace();
            }
        });

        queue.add(stringRequest);
    }
    public static void requestFullScreenAds(Context context) {
        RequestQueue queue = Volley.newRequestQueue(context);
        String url = "https://www.rmatech.xyz/ad_controll/ads.php";

        StringRequest stringRequest = new StringRequest(Request.Method.GET, url, new Response.Listener<String>() {
            @Override
            public void onResponse(String response) {
                if (response.contains("showAd")) {
                 loadFullScreenAd(context);
                }
            }
        }, new Response.ErrorListener() {
            @Override
            public void onErrorResponse(VolleyError error) {
                error.printStackTrace();
            }
        });

        queue.add(stringRequest);
    }
    public static void requestFb_BannerAds(Context context, LinearLayout adcontainer) {
        RequestQueue queue = Volley.newRequestQueue(context);
        String url = "https://www.rmatech.xyz/facbookad_control/fbad_controll.php";

        StringRequest stringRequest = new StringRequest(Request.Method.GET, url, new Response.Listener<String>() {
            @Override
            public void onResponse(String response) {
                if (response.contains("showAd")) {
                showfacebok_banAd(context,adcontainer);
                }
            }
        }, new Response.ErrorListener() {
            @Override
            public void onErrorResponse(VolleyError error) {
                error.printStackTrace();
            }
        });

        queue.add(stringRequest);
    }


    public static void preLoadBannerAds(Context context,LinearLayout adcontainer) {
        AdRequest adRequest = new AdRequest.Builder().build();
        adView = new AdView(context);
        adView.setAdSize(AdSize.BANNER);
        adView.setAdUnitId("ca-app-pub-3940256099942544/9214589741");
        adcontainer.addView(adView);
        adView.loadAd(adRequest);
        adView.setAdListener(new AdListener() {
            @Override
            public void onAdLoaded() {
                super.onAdLoaded();
            }

            @Override
            public void onAdClicked() {
                super.onAdClicked();
                if (ControlAd.BannerAdClick>=3){
                    adcontainer.setVisibility(View.GONE);
                    adView.destroy();
                }else {
                  ControlAd.BannerAdClick++;
                }

            }

            @Override
            public void onAdFailedToLoad(@NonNull LoadAdError loadAdError) {
                super.onAdFailedToLoad(loadAdError);
                AdClass.preLoadBannerAds(context,adcontainer);
            }

        });
    }

    public static void showfacebok_banAd(Context context, LinearLayout fAd_container){
        faceBookadView = new com.facebook.ads.AdView(context, "IMG_16_9_APP_INSTALL#YOUR_PLACEMENT_ID", com.facebook.ads.AdSize.BANNER_HEIGHT_50);
      fAd_container.removeView(faceBookadView);
        fAd_container.addView(faceBookadView);
        faceBookadView.loadAd();
    }

//...................................code for fullScreenAd.........................................................
    public static void loadFullScreenAd(Context context){

        AdRequest adRequest = new AdRequest.Builder().build();

        InterstitialAd.load(context,"ca-app-pub-3940256099942544/1033173712", adRequest,
                new InterstitialAdLoadCallback() {
                    @Override
                    public void onAdLoaded(@NonNull InterstitialAd interstitialAd) {

                        mInterstitialAd = interstitialAd;
                    }

                    @Override
                    public void onAdFailedToLoad(@NonNull LoadAdError loadAdError) {
                        // Handle the error
                        mInterstitialAd = null;
                    }
                });

    }


}
