package com.rma.epstopik_bengaliword;

import androidx.annotation.NonNull;
import androidx.appcompat.app.AppCompatActivity;
import androidx.core.content.ContextCompat;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;
import android.widget.Toast;
import com.rma.epstopik_bengaliword.PdfDownloader.Helper;

public class BookActivity extends AppCompatActivity {

    RecyclerView recyclerView_Id;
    private String[] chapterName;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_book);

        chapterName=getResources().getStringArray(R.array.chapter_list);
        recyclerView_Id=findViewById(R.id.recyclerView_Id);
        MyAdapter adapter =new MyAdapter();
        recyclerView_Id.setLayoutManager(new LinearLayoutManager(BookActivity.this));
        recyclerView_Id.setAdapter(adapter);
    }
     private class MyAdapter extends RecyclerView.Adapter<MyAdapter.MyViewHolder>{

         @NonNull
         @Override
         public MyViewHolder onCreateViewHolder(@NonNull ViewGroup parent, int viewType) {
             View view = LayoutInflater.from(BookActivity.this).inflate(R.layout.book2_view,parent,false);
             return new MyViewHolder(view);
         }

         @Override
         public void onBindViewHolder(@NonNull MyViewHolder holder, int position) {
             String string= chapterName[position];
             holder.chapList_textView.setText(string);

             holder.itemView.setOnClickListener(v -> {
                 int pos=holder.getAdapterPosition();
                 int poss=pos+1;
                 item(poss);
             });
         }
         @Override
         public int getItemCount() {
             return chapterName.length;
         }
         private  class MyViewHolder extends RecyclerView.ViewHolder{
             TextView chapList_textView;
            public MyViewHolder(@NonNull View itemView) {
                super(itemView);
                chapList_textView=itemView.findViewById(R.id.chapter_textView);
            }
        }
     }
    public void item(int pos) {
        String[] pdfUrls = {
                "https://www.rmatech.xyz/pdf%20/chapter%201.pdf",
                "https://www.rmatech.xyz/pdf%20/chapter%202.pdf",
                "https://www.rmatech.xyz/pdf%20/chapter%203.pdf",
                "https://www.rmatech.xyz/pdf%20/chapter%204.pdf",
                "https://www.rmatech.xyz/pdf%20/chapter%205.pdf",
                "https://www.rmatech.xyz/pdf%20/chapter%206.pdf",
                "https://www.rmatech.xyz/pdf%20/chapter%207.pdf",
                "https://www.rmatech.xyz/pdf%20/chapter%208.pdf",
                "https://www.rmatech.xyz/pdf%20/chapter%209.pdf",
                "https://www.rmatech.xyz/pdf%20/chapter%2010.pdf",
                "https://www.rmatech.xyz/pdf%20/chapter%2011.pdf",
                "https://www.rmatech.xyz/pdf%20/chapter%2012.pdf",
                "https://www.rmatech.xyz/pdf%20/chapter%2013.pdf",
                "https://www.rmatech.xyz/pdf%20/chapter%2014.pdf",
                "https://www.rmatech.xyz/pdf%20/chapter%2015.pdf",
                "https://www.rmatech.xyz/pdf%20/chapter%2016.pdf",
                "https://www.rmatech.xyz/pdf%20/chapter%2017.pdf",
                "https://www.rmatech.xyz/pdf%20/chapter%2018.pdf",
                "https://www.rmatech.xyz/pdf%20/chapter%2019.pdf",
                "https://www.rmatech.xyz/pdf%20/chapter%2020.pdf",
                "https://www.rmatech.xyz/pdf%20/chapter%202111.pdf",
                "https://www.rmatech.xyz/pdf%20/chapter%2022.pdf",
                "https://www.rmatech.xyz/pdf%20/chapter%2023.pdf",
                "https://www.rmatech.xyz/pdf%20/chapter%2024.pdf",
                "https://www.rmatech.xyz/pdf%20/chapter%2025.pdf",
                "https://www.rmatech.xyz/pdf%20/chapter%2026.pdf",
                "https://www.rmatech.xyz/pdf%20/chapter%2027.pdf",
                "https://www.rmatech.xyz/pdf%20/chapter%2028.pdf",
                "https://www.rmatech.xyz/pdf%20/chapter%2029.pdf",
                "https://www.rmatech.xyz/pdf%20/chapter%2030.pdf",
                "https://www.rmatech.xyz/pdf%20/chapter%2031.pdf",
                "https://www.rmatech.xyz/pdf%20/chapter%2032.pdf",
                "https://www.rmatech.xyz/pdf%20/chapter%2033.pdf",
                "https://www.rmatech.xyz/pdf%20/chapter%2034.pdf",
                "https://www.rmatech.xyz/pdf%20/chapter%2035.pdf",
                "https://www.rmatech.xyz/pdf%20/chapter%2036.pdf",
                "https://www.rmatech.xyz/pdf%20/chapter%2037.pdf",
                "https://www.rmatech.xyz/pdf%20/chapter%2038.pdf",
                "https://www.rmatech.xyz/pdf%20/chapter%2039.pdf",
                "https://www.rmatech.xyz/pdf%20/chapter%2040.pdf",
                "https://www.rmatech.xyz/pdf%20/chapter%2041.pdf",
                "https://www.rmatech.xyz/pdf%20/chapter%2042.pdf",
                "https://www.rmatech.xyz/pdf%20/chapter%2043.pdf",
                "https://www.rmatech.xyz/pdf%20/chapter%2044.pdf",
                "https://www.rmatech.xyz/pdf%20/chapter%2045.pdf",
                "https://www.rmatech.xyz/pdf%20/chapter%2046.pdf",
                "https://www.rmatech.xyz/pdf%20/chapter%2047.pdf",
                "https://www.rmatech.xyz/pdf%20/chapter%2048.pdf",
                "https://www.rmatech.xyz/pdf%20/chapter%2049.pdf",
                "https://www.rmatech.xyz/pdf%20/chapter%2050.pdf",
                "https://www.rmatech.xyz/pdf%20/chapter%2051.pdf",
                "https://www.rmatech.xyz/pdf%20/chapter%2052.pdf",
                "https://www.rmatech.xyz/pdf%20/chapter%2053.pdf",
                "https://www.rmatech.xyz/pdf%20/chapter%2054.pdf",
                "https://www.rmatech.xyz/pdf%20/chapter%2055.pdf",
                "https://www.rmatech.xyz/pdf%20/chapter%2056.pdf",
                "https://www.rmatech.xyz/pdf%20/chapter%2057.pdf",
                "https://www.rmatech.xyz/pdf%20/chapter%2058.pdf",
                "https://www.rmatech.xyz/pdf%20/chapter%2059.pdf",
                "https://www.rmatech.xyz/pdf%20/chapter%2060.pdf",
        };

        String[][] trackInfo = {
                {"Track - 22", "Track - 23", "Track - 24"},
                {"Track - 25", "Track - 26", "Track - 27"},
                {"Track - 28", "Track - 29", "Track - 30"},
                {"Track - 31", "Track - 32", "Track - 33"},
                {"Track - 34", "Track - 35", "Track - 36"},
                {"Track - 37", "Track - 38", "Track - 39"},
                {"Track - 40", "Track - 41", "Track - 42"},
                {"Track - 43", "Track - 44", "Track - 45"},
                {"Track - 46", "Track - 47", "Track - 48"},
                {"Track - 49", "Track - 50", "Track - 51"},
                {"Track - 52", "Track - 53", "Track - 54"},
                {"Track - 55", "Track - 56", "Track - 57"},
                {"Track - 58", "Track - 59", "Track - 60"},
                {"Track - 61", "Track - 62", "Track - 63"},
                {"Track - 64", "Track - 65", "Track - 66"},
                {"Track - 67", "Track - 68", "Track - 69"},
                {"Track - 70", "Track - 71", "Track - 72"},
                {"Track - 73", "Track - 74", "Track - 75"},
                {"Track - 76", "Track - 77", "Track - 78"},
                {"Track - 79", "Track - 80", "Track - 81"},
                {"Track - 82", "Track - 83", "Track - 84"},
                {"Track - 85", "Track - 86", "Track - 87"},
                {"Track - 88", "Track - 89", "Track - 90"},
                {"Track - 91", "Track - 92", "Track - 93"},
                {"Track - 94", "Track - 95", "Track - 96"},
                {"Track - 97", "Track - 98", "Track - 99"},
                {"Track - 100", "Track - 101", "Track - 102"},
                {"Track - 103", "Track - 104", "Track - 105"},
                {"Track - 106", "Track - 107", "Track - 108"},
                {"Track - 109", "Track - 110", "Track - 111"},
                {"Track - 112", "Track - 113", "Track - 114"},
                {"Track - 115", "Track - 116", "Track - 117"},
                {"Track - 118", "Track - 119", "Track - 120"},
                {"Track - 121", "Track - 122", "Track - 123"},
                {"Track - 124", "Track - 125", "Track - 126"},
                {"Track - 127", "Track - 128", "Track - 129"},
                {"Track - 130", "Track - 131", "Track - 132"},
                {"Track - 133", "Track - 134", "Track - 135"},
                {"Track - 136", "Track - 137", "Track - 138"},
                {"Track - 139", "Track - 140", "Track - 141"},
                {"Track - 142", "Track - 143", "Track - 144"},
                {"Track - 145", "Track - 146", "Track - 147"},
                {"Track - 148", "Track - 149", "Track - 150"},
                {"Track - 151", "Track - 152", "Track - 153"},
                {"Track - 154", "Track - 155", "Track - 156"},
                {"Track - 157", "Track - 158", "Track - 159"},
                {"Track - 160", "Track - 161", "Track - 162"},
                {"Track - 163", "Track - 164", "Track - 165"},
                {"Track - 166", "Track - 167", "Track - 168"},
                {"Track - 169", "Track - 170", "Track - 171"},
                {"Track - 172", "Track - 173", "Track - 174"},
                {"Track - 175", "Track - 176", "Track - 177"},
                {"Track - 178", "Track - 179", "Track - 180"}
                // ... add all track info here
        };

        String[][] audioUrls = {
                { "https://www.rmatech.xyz/audio/Track%20022.mp3",
                "https://www.rmatech.xyz/audio/Track%20023.mp3",
                "https://www.rmatech.xyz/audio/Track%20024.mp3"},
                {"https://www.rmatech.xyz/audio/Track%20025.mp3",
                "https://www.rmatech.xyz/audio/Track%20026.mp3",
                "https://www.rmatech.xyz/audio/Track%20027.mp3"},
                { "https://www.rmatech.xyz/audio/Track%20028.mp3",
                "https://www.rmatech.xyz/audio/Track%20029.mp3",
                "https://www.rmatech.xyz/audio/Track%20030.mp3"},
                {"https://www.rmatech.xyz/audio/Track%20031.mp3",
                "https://www.rmatech.xyz/audio/Track%20032.mp3",
               "https://www.rmatech.xyz/audio/Track%20033.mp3"},
                {"https://www.rmatech.xyz/audio/Track%20034.mp3",
                "https://www.rmatech.xyz/audio/Track%20035.mp3",
                "https://www.rmatech.xyz/audio/Track%20036.mp3"},
                {"https://www.rmatech.xyz/audio/Track%20037.mp3",
                "https://www.rmatech.xyz/audio/Track%20038.mp3",
                "https://www.rmatech.xyz/audio/Track%20039.mp3"},
                {"https://www.rmatech.xyz/audio/Track%20040.mp3",
                "https://www.rmatech.xyz/audio/Track%20041.mp3",
                "https://www.rmatech.xyz/audio/Track%20042.mp3"},
                { "https://www.rmatech.xyz/audio/Track%20043.mp3",
                "https://www.rmatech.xyz/audio/Track%20044.mp3",
                "https://www.rmatech.xyz/audio/Track%20045.mp3"},
                { "https://www.rmatech.xyz/audio/Track%20046.mp3",
                "https://www.rmatech.xyz/audio/Track%20047.mp3",
                "https://www.rmatech.xyz/audio/Track%20048.mp3"},
                {"https://www.rmatech.xyz/audio/Track%20049.mp3",
                "https://www.rmatech.xyz/audio/Track%20050.mp3",
                "https://www.rmatech.xyz/audio/Track%20051.mp3"},
                { "https://www.rmatech.xyz/audio/Track%20052.mp3",
                "https://www.rmatech.xyz/audio/Track%20053.mp3",
                "https://www.rmatech.xyz/audio/Track%20054.mp3"},
                {"https://www.rmatech.xyz/audio/Track%20055.mp3",
                "https://www.rmatech.xyz/audio/Track%20056.mp3",
                "https://www.rmatech.xyz/audio/Track%20057.mp3"},
                { "https://www.rmatech.xyz/audio/Track%20058.mp3",
                "https://www.rmatech.xyz/audio/Track%20059.mp3",
                "https://www.rmatech.xyz/audio/Track%20060.mp3"},
                { "https://www.rmatech.xyz/audio/Track%20061.mp3",
                "https://www.rmatech.xyz/audio/Track%20062.mp3",
                "https://www.rmatech.xyz/audio/Track%20063.mp3"},
                {"https://www.rmatech.xyz/audio/Track%20064.mp3",
                "https://www.rmatech.xyz/audio/Track%20065.mp3",
                "https://www.rmatech.xyz/audio/Track%20066.mp3"},
                {"https://www.rmatech.xyz/audio/Track%20067.mp3",
                "https://www.rmatech.xyz/audio/Track%20068.mp3",
                "https://www.rmatech.xyz/audio/Track%20069.mp3"},
                {"https://www.rmatech.xyz/audio/Track%20070.mp3",
                "https://www.rmatech.xyz/audio/Track%20071.mp3",
                "https://www.rmatech.xyz/audio/Track%20072.mp3"},
                { "https://www.rmatech.xyz/audio/Track%20073.mp3",
                "https://www.rmatech.xyz/audio/Track%20074.mp3",
                "https://www.rmatech.xyz/audio/Track%20075.mp3"},
                {"https://www.rmatech.xyz/audio/Track%20076.mp3",
                "https://www.rmatech.xyz/audio/Track%20077.mp3",
                "https://www.rmatech.xyz/audio/Track%20078.mp3"},
                { "https://www.rmatech.xyz/audio/Track%20079.mp3",
                "https://www.rmatech.xyz/audio/Track%20080.mp3",
                "https://www.rmatech.xyz/audio/Track%20081.mp3"},
                {"https://www.rmatech.xyz/audio/Track%20082.mp3",
                "https://www.rmatech.xyz/audio/Track%20083.mp3",
                "https://www.rmatech.xyz/audio/Track%20084.mp3"},
                {"https://www.rmatech.xyz/audio/Track%20085.mp3",
                "https://www.rmatech.xyz/audio/Track%20086.mp3",
                "https://www.rmatech.xyz/audio/Track%20087.mp3"},
                {"https://www.rmatech.xyz/audio/Track%20088.mp3",
                "https://www.rmatech.xyz/audio/Track%20089.mp3",
                "https://www.rmatech.xyz/audio/Track%20090.mp3"},
                {"https://www.rmatech.xyz/audio/Track%20091.mp3",
                "https://www.rmatech.xyz/audio/Track%20092.mp3",
                "https://www.rmatech.xyz/audio/Track%20093.mp3"},
                { "https://www.rmatech.xyz/audio/Track%20094.mp3",
                "https://www.rmatech.xyz/audio/Track%20095.mp3",
                "https://www.rmatech.xyz/audio/Track%20096.mp3"},
                {"https://www.rmatech.xyz/audio/Track%20097.mp3",
                "https://www.rmatech.xyz/audio/Track%20098.mp3",
                "https://www.rmatech.xyz/audio/Track%20099.mp3"},
                { "https://www.rmatech.xyz/audio/Track%20100.mp3",
                "https://www.rmatech.xyz/audio/Track%20101.mp3",
                "https://www.rmatech.xyz/audio/Track%20102.mp3"},
                { "https://www.rmatech.xyz/audio/Track%20103.mp3",
                "https://www.rmatech.xyz/audio/Track%20104.mp3",
                "https://www.rmatech.xyz/audio/Track%20105.mp3"},
                {"https://www.rmatech.xyz/audio/Track%20106.mp3",
                "https://www.rmatech.xyz/audio/Track%20107.mp3",
                "https://www.rmatech.xyz/audio/Track%20108.mp3"},
                {"https://www.rmatech.xyz/audio/Track%20109.mp3",
                "https://www.rmatech.xyz/audio/Track%20110.mp3",
                "https://www.rmatech.xyz/audio/Track%20111.mp3"},
                {"https://www.rmatech.xyz/audio/Track%20112.mp3",
                "https://www.rmatech.xyz/audio/Track%20113.mp3",
                "https://www.rmatech.xyz/audio/Track%20114.mp3"},
                {"https://www.rmatech.xyz/audio/Track%20115.mp3",
                "https://www.rmatech.xyz/audio/Track%20116.mp3",
                "https://www.rmatech.xyz/audio/Track%20117.mp3"},
                {"https://www.rmatech.xyz/audio/Track%20118.mp3",
                "https://www.rmatech.xyz/audio/Track%20119.mp3",
                "https://www.rmatech.xyz/audio/Track%20120.mp3"},
                {"https://www.rmatech.xyz/audio/Track%20121.mp3",
                "https://www.rmatech.xyz/audio/Track%20122.mp3",
                "https://www.rmatech.xyz/audio/Track%20123.mp3"},
                {"https://www.rmatech.xyz/audio/Track%20124.mp3",
                "https://www.rmatech.xyz/audio/Track%20125.mp3",
                "https://www.rmatech.xyz/audio/Track%20126.mp3"},
                {"https://www.rmatech.xyz/audio/Track%20127.mp3",
                "https://www.rmatech.xyz/audio/Track%20128.mp3",
                "https://www.rmatech.xyz/audio/Track%20129.mp3"},
                {"https://www.rmatech.xyz/audio/Track%20130.mp3",
                "https://www.rmatech.xyz/audio/Track%20131.mp3",
                "https://www.rmatech.xyz/audio/Track%20132.mp3"},
                {"https://www.rmatech.xyz/audio/Track%20133.mp3",
                "https://www.rmatech.xyz/audio/Track%20134.mp3",
                "https://www.rmatech.xyz/audio/Track%20135.mp3"},
                {"https://www.rmatech.xyz/audio/Track%20136.mp3",
                "https://www.rmatech.xyz/audio/Track%20137.mp3",
                "https://www.rmatech.xyz/audio/Track%20138.mp3"},
                {"https://www.rmatech.xyz/audio/Track%20139.mp3",
                "https://www.rmatech.xyz/audio/Track%20140.mp3",
                "https://www.rmatech.xyz/audio/Track%20141.mp3"},
                {"https://www.rmatech.xyz/audio/Track%20142.mp3",
                "https://www.rmatech.xyz/audio/Track%20143.mp3",
                "https://www.rmatech.xyz/audio/Track%20144.mp3"},
                {"https://www.rmatech.xyz/audio/Track%20145.mp3",
                "https://www.rmatech.xyz/audio/Track%20146.mp3",
                "https://www.rmatech.xyz/audio/Track%20147.mp3"},
                {"https://www.rmatech.xyz/audio/Track%20148.mp3",
                "https://www.rmatech.xyz/audio/Track%20149.mp3",
                "https://www.rmatech.xyz/audio/Track%20150.mp3"},
                {"https://www.rmatech.xyz/audio/Track%20151.mp3",
                "https://www.rmatech.xyz/audio/Track%20152.mp3",
                "https://www.rmatech.xyz/audio/Track%20153.mp3"},
                {"https://www.rmatech.xyz/audio/Track%20154.mp3",
                "https://www.rmatech.xyz/audio/Track%20155.mp3",
                "https://www.rmatech.xyz/audio/Track%20156.mp3"},
                {"https://www.rmatech.xyz/audio/Track%20157.mp3",
                "https://www.rmatech.xyz/audio/Track%20158.mp3",
                "https://www.rmatech.xyz/audio/Track%20159.mp3"},
                {"https://www.rmatech.xyz/audio/Track%20160.mp3",
                "https://www.rmatech.xyz/audio/Track%20161.mp3",
                "https://www.rmatech.xyz/audio/Track%20162.mp3"},
                {"https://www.rmatech.xyz/audio/Track%20163.mp3",
                "https://www.rmatech.xyz/audio/Track%20164.mp3",
                "https://www.rmatech.xyz/audio/Track%20165.mp3"},
                {"https://www.rmatech.xyz/audio/Track%20166.mp3",
                "https://www.rmatech.xyz/audio/Track%20167.mp3",
                "https://www.rmatech.xyz/audio/Track%20168.mp3"},
                {"https://www.rmatech.xyz/audio/Track%20169.mp3",
                "https://www.rmatech.xyz/audio/Track%20170.mp3",
                "https://www.rmatech.xyz/audio/Track%20171.mp3"},
                {"https://www.rmatech.xyz/audio/Track%20172.mp3",
                "https://www.rmatech.xyz/audio/Track%20173.mp3",
                "https://www.rmatech.xyz/audio/Track%20174.mp3"},
                {"https://www.rmatech.xyz/audio/Track%20175.mp3",
                "https://www.rmatech.xyz/audio/Track%20176.mp3",
                "https://www.rmatech.xyz/audio/Track%20177.mp3"},
                {"https://www.rmatech.xyz/audio/Track%20178.mp3",
                "https://www.rmatech.xyz/audio/Track%20179.mp3",
                "https://www.rmatech.xyz/audio/Track%20180.mp3"}
        };


            if (pos >= 6 && pos <= 58) {
                // Adjust the index to match the array indexing (pos-6)
                PDFViewActivity.string1 = trackInfo[pos - 6][0];
                PDFViewActivity.string2 = trackInfo[pos - 6][1];
                PDFViewActivity.string3 = trackInfo[pos - 6][2];
                PDFViewActivity.audioUrl1 = audioUrls[pos - 6][0];
                PDFViewActivity.audioUrl2 = audioUrls[pos - 6][1];
                PDFViewActivity.audioUrl3 = audioUrls[pos - 6][2];
                Helper helper = new Helper();
                helper.DialogBox(BookActivity.this, pdfUrls[pos - 1]);

            } else if (pos == 1 || pos == 2 || pos == 3 || pos == 4 || pos==5 || pos == 59 || pos == 60) {
                // Set to null for the positions where audio should not play
                PDFViewActivity.string1 = null;
                PDFViewActivity.string2 = null;
                PDFViewActivity.string3 = null;
                PDFViewActivity.audioUrl1 = null;
                PDFViewActivity.audioUrl2 = null;
                PDFViewActivity.audioUrl3 = null;
                Helper helper = new Helper();
                helper.DialogBox(BookActivity.this, pdfUrls[pos - 1]);
            } else {
                Toast.makeText(BookActivity.this, "Invalid position", Toast.LENGTH_SHORT).show();
            }


//,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
    }

    @Override
    public void onBackPressed() {
        MainActivity.currentDialog.dismiss();
        super.onBackPressed();
    }
}
