package com.rma.epstopik_bengaliword;


import androidx.annotation.NonNull;
import androidx.appcompat.app.AppCompatActivity;
import androidx.core.content.ContextCompat;
import android.os.Bundle;
import android.view.View;
import android.widget.ArrayAdapter;
import android.widget.LinearLayout;
import android.widget.ListView;
import android.widget.TextView;

import com.google.android.gms.ads.AdError;
import com.google.android.gms.ads.FullScreenContentCallback;
import com.google.android.material.card.MaterialCardView;
import com.rma.epstopik_bengaliword.Admov.AdClass;
import com.rma.epstopik_bengaliword.Admov.ControlAd;

public class NumberActivity extends AppCompatActivity implements View.OnClickListener {

    MaterialCardView snumid,pnumid,weekid,monthid,akokid;
   private ListView otherslistid;
    String[] string;
    ArrayAdapter<String> adapter;
   private TextView snumberT,pnumberT,weekT,monthT,akokT;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_number);

        AdClass.requestFullScreenAds(NumberActivity.this);
   // loaded ad
        LinearLayout adContainer=findViewById(R.id.adContainer);
        if (adContainer!=null){
            AdClass.requestBannerAds(this,adContainer);
        } else if(adContainer==null) {
            adContainer.setVisibility(View.GONE);
        }

        snumid=findViewById(R.id.snumid);
        pnumid=findViewById(R.id.pnumid);
        weekid=findViewById(R.id.weekid);
        snumid=findViewById(R.id.snumid);
        monthid=findViewById(R.id.monthid);
        akokid=findViewById(R.id.akok);
        otherslistid=findViewById(R.id.otherslistid);

        snumberT=findViewById(R.id.snumberT);
        pnumberT=findViewById(R.id.pnumberT);
        weekT=findViewById(R.id.weekT);
        monthT=findViewById(R.id.monthT);
        akokT=findViewById(R.id.akokT);


        snumid.setOnClickListener(this);
        pnumid.setOnClickListener(this);
        weekid.setOnClickListener(this);
        monthid.setOnClickListener(this);
        akokid.setOnClickListener(this);

        snumberT.setTextColor(ContextCompat.getColor(this, R.color.Navy));
        pnumberT.setTextColor(ContextCompat.getColor(this, R.color.Question_color));
        weekT.setTextColor(ContextCompat.getColor(this, R.color.Question_color));
        monthT.setTextColor(ContextCompat.getColor(this, R.color.Question_color));
        akokT.setTextColor(ContextCompat.getColor(this, R.color.Question_color));

        string=getResources().getStringArray(R.array.snumber);
        adapter=new ArrayAdapter<>(NumberActivity.this,R.layout.number_view,R.id.number_text,string);
        otherslistid.setAdapter(adapter);

    }


    @Override
    public void onClick(View v) {
        if (v.getId()==R.id.snumid){
            snumberT.setTextColor(ContextCompat.getColor(this, R.color.Navy));
            pnumberT.setTextColor(ContextCompat.getColor(this, R.color.Question_color));
            weekT.setTextColor(ContextCompat.getColor(this, R.color.Question_color));
            monthT.setTextColor(ContextCompat.getColor(this, R.color.Question_color));
            akokT.setTextColor(ContextCompat.getColor(this, R.color.Question_color));

            string=getResources().getStringArray(R.array.snumber);
            adapter=new ArrayAdapter<>(NumberActivity.this,R.layout.number_view,R.id.number_text,string);
            otherslistid.setAdapter(adapter);
        } else if (v.getId()==R.id.pnumid) {
            string=getResources().getStringArray(R.array.pnumber);
                adapter=new ArrayAdapter<>(NumberActivity.this,R.layout.number_view,R.id.number_text,string);
                otherslistid.setAdapter(adapter);

            snumberT.setTextColor(ContextCompat.getColor(this, R.color.Question_color));
            pnumberT.setTextColor(ContextCompat.getColor(this, R.color.Navy));
            weekT.setTextColor(ContextCompat.getColor(this, R.color.Question_color));
            monthT.setTextColor(ContextCompat.getColor(this, R.color.Question_color));
            akokT.setTextColor(ContextCompat.getColor(this, R.color.Question_color));


        } else if (v.getId()==R.id.weekid) {
            snumberT.setTextColor(ContextCompat.getColor(this, R.color.Question_color));
            pnumberT.setTextColor(ContextCompat.getColor(this, R.color.Question_color));
            weekT.setTextColor(ContextCompat.getColor(this, R.color.Navy));
            monthT.setTextColor(ContextCompat.getColor(this, R.color.Question_color));
            akokT.setTextColor(ContextCompat.getColor(this, R.color.Question_color));

            string=getResources().getStringArray(R.array.week);
            adapter=new ArrayAdapter<>(NumberActivity.this,R.layout.number_view,R.id.number_text,string);
            otherslistid.setAdapter(adapter);
        } else if (v.getId()==R.id.monthid) {
            snumberT.setTextColor(ContextCompat.getColor(this, R.color.Question_color));
            pnumberT.setTextColor(ContextCompat.getColor(this, R.color.Question_color));
            weekT.setTextColor(ContextCompat.getColor(this, R.color.Question_color));
            monthT.setTextColor(ContextCompat.getColor(this, R.color.Navy));
            akokT.setTextColor(ContextCompat.getColor(this, R.color.Question_color));

            string=getResources().getStringArray(R.array.month);
            adapter=new ArrayAdapter<>(NumberActivity.this,R.layout.number_view,R.id.number_text,string);
            otherslistid.setAdapter(adapter);

        } else if (v.getId()==R.id.akok) {
            snumberT.setTextColor(ContextCompat.getColor(this, R.color.Question_color));
            pnumberT.setTextColor(ContextCompat.getColor(this, R.color.Question_color));
            weekT.setTextColor(ContextCompat.getColor(this, R.color.Question_color));
            monthT.setTextColor(ContextCompat.getColor(this, R.color.Question_color));
            akokT.setTextColor(ContextCompat.getColor(this, R.color.Navy));

            string=getResources().getStringArray(R.array.akok);
            adapter=new ArrayAdapter<>(NumberActivity.this,R.layout.number_view,R.id.number_text,string);
            otherslistid.setAdapter(adapter);
        }


    }

    @Override
    public void onBackPressed() {
        if (ControlAd.Clicked>=3) {
            if (AdClass.mInterstitialAd!=null){
                AdClass.mInterstitialAd.show(this);
                AdClass.mInterstitialAd.setFullScreenContentCallback(new FullScreenContentCallback() {
                    @Override
                    public void onAdDismissedFullScreenContent() {
                        super.onAdDismissedFullScreenContent();
                        AdClass.loadFullScreenAd(NumberActivity.this);
                        NumberActivity.super.onBackPressed();
                        ControlAd.Clicked=0;
                    }

                    @Override
                    public void onAdFailedToShowFullScreenContent(@NonNull AdError adError) {
                        super.onAdFailedToShowFullScreenContent(adError);
                    }
                });
            }else {
                super.onBackPressed();
            }

        }else {
            super.onBackPressed();
            ControlAd.Clicked++;
        }

    }
}