package com.rma.epstopik_bengaliword;

import androidx.appcompat.app.AppCompatActivity;
import androidx.core.content.ContextCompat;
import android.app.AlertDialog;
import android.content.Context;
import android.content.Intent;
import android.net.ConnectivityManager;
import android.net.NetworkInfo;
import android.os.Bundle;
import android.view.View;
import android.widget.AdapterView;
import android.widget.ArrayAdapter;
import android.widget.ListView;
import android.widget.Toast;

public class TestChapter extends AppCompatActivity {

    ListView testChapterListView;
    private String[] testChapter_list;
    ArrayAdapter<String> adapter;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_test_chapter);
        getWindow().setStatusBarColor(ContextCompat.getColor(this, R.color.status));

        testChapterListView = findViewById(R.id.Test_Chapter);
        testChapter_list = getResources().getStringArray(R.array.chapter_name);

        adapter = new ArrayAdapter<>(this, R.layout.test_chapter_viewer, R.id.chapter_textView, testChapter_list);
        testChapterListView.setAdapter(adapter);

        testChapterListView.setOnItemClickListener(new AdapterView.OnItemClickListener() {
            @Override
            public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
                ConnectivityManager connectivityManager = (ConnectivityManager) getSystemService(Context.CONNECTIVITY_SERVICE);
                NetworkInfo networkInfo = connectivityManager.getActiveNetworkInfo();
                if (networkInfo != null && networkInfo.isConnected()) {
                    startWordTestActivity(position);
                    int pos=position+1;
                    Toast.makeText(TestChapter.this, "Chapter " + pos + " is opened", Toast.LENGTH_SHORT).show();
                } else {
                    dialog();
                }
            }
        });
    }

    private void startWordTestActivity(int position) {
        String[] chapterContent = null;

        if (position >= 0 && position < testChapter_list.length) {
            int chapterIndex = position + 1;

            switch (chapterIndex) {
                case 1:
                    chapterContent = getResources().getStringArray(R.array.chapter_1);
                    break;
                case 2:
                    chapterContent = getResources().getStringArray(R.array.chapter_2);
                    break;
                case 3:
                    chapterContent = getResources().getStringArray(R.array.chapter_3);
                    break;
                case 4:
                    chapterContent = getResources().getStringArray(R.array.chapter_4);
                    break;
                case 5:
                    chapterContent = getResources().getStringArray(R.array.chapter_5);
                    break;
                case 6:
                    chapterContent = getResources().getStringArray(R.array.chapter_6);
                    break;
                case 7:
                    chapterContent = getResources().getStringArray(R.array.chapter_7);
                    break;
                case 8:
                    chapterContent = getResources().getStringArray(R.array.chapter_8);
                    break;
                case 9:
                    chapterContent = getResources().getStringArray(R.array.chapter_9);
                    break;
                case 10:
                    chapterContent = getResources().getStringArray(R.array.chapter_10);
                    break;
                case 11:
                    chapterContent = getResources().getStringArray(R.array.chapter_11);
                    break;
                case 12:
                    chapterContent = getResources().getStringArray(R.array.chapter_12);
                    break;
                case 13:
                    chapterContent = getResources().getStringArray(R.array.chapter_13);
                    break;
                case 14:
                    chapterContent = getResources().getStringArray(R.array.chapter_14);
                    break;
                case 15:
                    chapterContent = getResources().getStringArray(R.array.chapter_15);
                    break;
                case 16:
                    chapterContent = getResources().getStringArray(R.array.chapter_16);
                    break;
                case 17:
                    chapterContent = getResources().getStringArray(R.array.chapter_17);
                    break;
                case 18:
                    chapterContent = getResources().getStringArray(R.array.chapter_18);
                    break;
                case 19:
                    chapterContent = getResources().getStringArray(R.array.chapter_19);
                    break;
                case 20:
                    chapterContent = getResources().getStringArray(R.array.chapter_20);
                    break;
                case 21:
                    chapterContent = getResources().getStringArray(R.array.chapter_21);
                    break;
                case 22:
                    chapterContent = getResources().getStringArray(R.array.chapter_22);
                    break;
                case 23:
                    chapterContent = getResources().getStringArray(R.array.chapter_23);
                    break;
                case 24:
                    chapterContent = getResources().getStringArray(R.array.chapter_24);
                    break;
                case 25:
                    chapterContent = getResources().getStringArray(R.array.chapter_25);
                    break;
                case 26:
                    chapterContent = getResources().getStringArray(R.array.chapter_26);
                    break;
                case 27:
                    chapterContent = getResources().getStringArray(R.array.chapter_27);
                    break;
                case 28:
                    chapterContent = getResources().getStringArray(R.array.chapter_28);
                    break;
                case 29:
                    chapterContent = getResources().getStringArray(R.array.chapter_29);
                    break;
                case 30:
                    chapterContent = getResources().getStringArray(R.array.chapter_30);
                    break;
                case 31:
                    chapterContent = getResources().getStringArray(R.array.chapter_31);
                    break;
                case 32:
                    chapterContent = getResources().getStringArray(R.array.chapter_32);
                    break;
                case 33:
                    chapterContent = getResources().getStringArray(R.array.chapter_33);
                    break;
                case 34:
                    chapterContent = getResources().getStringArray(R.array.chapter_34);
                    break;
                case 35:
                    chapterContent = getResources().getStringArray(R.array.chapter_35);
                    break;
                case 36:
                    chapterContent = getResources().getStringArray(R.array.chapter_36);
                    break;
                case 37:
                    chapterContent = getResources().getStringArray(R.array.chapter_37);
                    break;
                case 38:
                    chapterContent = getResources().getStringArray(R.array.chapter_38);
                    break;
                case 39:
                    chapterContent = getResources().getStringArray(R.array.chapter_39);
                    break;
                case 40:
                    chapterContent = getResources().getStringArray(R.array.chapter_40);
                    break;
                case 41:
                    chapterContent = getResources().getStringArray(R.array.chapter_41);
                    break;
                case 42:
                    chapterContent = getResources().getStringArray(R.array.chapter_42);
                    break;
                case 43:
                    chapterContent = getResources().getStringArray(R.array.chapter_43);
                    break;
                case 44:
                    chapterContent = getResources().getStringArray(R.array.chapter_44);
                    break;
                case 45:
                    chapterContent = getResources().getStringArray(R.array.chapter_45);
                    break;
                case 46:
                    chapterContent = getResources().getStringArray(R.array.chapter_46);
                    break;
                case 47:
                    chapterContent = getResources().getStringArray(R.array.chapter_47);
                    break;
                case 48:
                    chapterContent = getResources().getStringArray(R.array.chapter_48);
                    break;
                case 49:
                    chapterContent = getResources().getStringArray(R.array.chapter_49);
                    break;
                default:
                    chapterContent = null;
                    break;
            }
        }

        if (chapterContent != null) {
            WordTestActivity.headerString = chapterContent;
            Intent intent = new Intent(TestChapter.this, WordTestActivity.class);
            startActivity(intent);
        } else {
            Toast.makeText(this, "Data not found. Please try again", Toast.LENGTH_SHORT).show();
        }
    }


    private void dialog() {
        AlertDialog.Builder builder = new AlertDialog.Builder(TestChapter.this);
        builder.setTitle("No Internet !");
        builder.setMessage("Please check your internet connection");
        builder.show();
    }

    @Override
    public void onBackPressed() {
        MainActivity.currentDialog.dismiss();
        super.onBackPressed();
    }
}
