package com.rma.epstopik_bengaliword;

import static android.Manifest.permission.READ_MEDIA_IMAGES;

import android.Manifest;
import android.app.Activity;
import android.app.ProgressDialog;
import android.content.Context;
import android.content.pm.PackageManager;
import android.media.MediaPlayer;
import android.media.PlaybackParams;
import android.net.ConnectivityManager;
import android.net.NetworkInfo;
import android.os.Build;
import android.os.Bundle;
import android.os.Environment;
import android.os.Handler;
import android.view.MenuItem;
import android.view.View;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.ProgressBar;
import android.widget.SeekBar;
import android.widget.TextView;
import android.widget.Toast;
import androidx.annotation.NonNull;
import androidx.appcompat.app.AlertDialog;
import androidx.appcompat.app.AppCompatActivity;
import androidx.appcompat.widget.PopupMenu;
import androidx.cardview.widget.CardView;
import androidx.core.app.ActivityCompat;
import androidx.core.content.ContextCompat;

import com.facebook.ads.Ad;
import com.facebook.ads.AdError;
import com.facebook.ads.InterstitialAd;
import com.facebook.ads.InterstitialAdListener;
import com.github.barteksc.pdfviewer.PDFView;
import com.google.android.gms.ads.FullScreenContentCallback;
import com.rma.epstopik_bengaliword.Admov.AdClass;
import com.rma.epstopik_bengaliword.Admov.ControlAd;


import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.net.HttpURLConnection;
import java.net.URL;
import java.util.ArrayList;
import java.util.List;

public class PDFViewActivity extends AppCompatActivity {

    public LinearLayout sek, audiuSection;
    public static final int REQUEST_ID_MULTIPLE_PERMISSIONS = 1000;
    public static CardView Listen1, Listen2, Listen3;
    public static String string1, string2, string3;
    public static String audioUrl1, audioUrl2, audioUrl3;
    private TextView t1, t2, t3, CurrentTime, TotalTime;
    private ImageView controlBotton, speedBtn;
    private SeekBar seekBar;
    private ProgressDialog progressDialog;
    private final Handler handler = new Handler();
    private PDFView pdfView;
    private ProgressBar progressBar;
    float sRate = 1;
    private MediaPlayer mediaPlayer1;
    InterstitialAd interstitialAd;


    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_pdfview);
        getWindow().setStatusBarColor(ContextCompat.getColor(this, R.color.status));

        AdClass.requestFullScreenAds(PDFViewActivity.this);
       load_facebookFullAd();

        LinearLayout fAd_container = findViewById(R.id.banner_container);
        if (fAd_container != null) {
            AdClass.requestFb_BannerAds(this, fAd_container);
        } else if (fAd_container == null) {
            fAd_container.setVisibility(View.GONE);
        }

        initializeViews();
        t1.setText(string1);
        t2.setText(string2);
        t3.setText(string3);
//............................................................................
        Listen1.setOnClickListener(v -> {
            t1.setTextColor(ContextCompat.getColor(this, R.color.Yellow));
            t2.setTextColor(ContextCompat.getColor(this, R.color.white));
            t3.setTextColor(ContextCompat.getColor(this, R.color.white));

            try {
                if (isStoragePermissionGranted(PDFViewActivity.this)) {
                    final String fileName = getFileNameFromUrl(audioUrl1);
                    final File outputFile = new File(getExternalFilesDir(Environment.DIRECTORY_MUSIC), fileName);
                    if (outputFile.exists()) {
                        playAudio(outputFile.getAbsolutePath(), seekBar);
                        sek.setVisibility(View.VISIBLE);
                        controlBotton.setImageResource(R.drawable.puase_icon2);
                        speedBtn.setVisibility(View.VISIBLE);

                    } else {
                        ConnectivityManager connectivityManager = (ConnectivityManager) getSystemService(Context.CONNECTIVITY_SERVICE);
                        NetworkInfo networkInfo = connectivityManager.getActiveNetworkInfo();
                        if (networkInfo != null && networkInfo.isConnected()) {
                            checkAndPlayAudio(audioUrl1);
                            sek.setVisibility(View.VISIBLE);
                            controlBotton.setImageResource(R.drawable.puase_icon2);
                            speedBtn.setVisibility(View.VISIBLE);
                        } else if (!outputFile.exists() && networkInfo == null) {
                            dialog();
                        }
                    }


                } else {
                    Toast.makeText(this, "Permission Denied", Toast.LENGTH_SHORT).show();
                }
            } catch (Exception e) {
                Toast.makeText(this, e.getMessage(), Toast.LENGTH_SHORT).show();

            }
        });
        Listen2.setOnClickListener(v -> {
            t1.setTextColor(ContextCompat.getColor(this, R.color.white));
            t2.setTextColor(ContextCompat.getColor(this, R.color.Yellow));
            t3.setTextColor(ContextCompat.getColor(this, R.color.white));
            try {
                if (isStoragePermissionGranted(PDFViewActivity.this)) {
                    final String fileName = getFileNameFromUrl(audioUrl2);
                    final File outputFile = new File(getExternalFilesDir(Environment.DIRECTORY_MUSIC), fileName);
                    if (outputFile.exists()) {
                        playAudio(outputFile.getAbsolutePath(), seekBar);
                        sek.setVisibility(View.VISIBLE);
                        controlBotton.setImageResource(R.drawable.puase_icon2);
                        speedBtn.setVisibility(View.VISIBLE);
                    } else {
                        ConnectivityManager connectivityManager = (ConnectivityManager) getSystemService(Context.CONNECTIVITY_SERVICE);
                        NetworkInfo networkInfo = connectivityManager.getActiveNetworkInfo();
                        if (networkInfo != null && networkInfo.isConnected()) {
                            checkAndPlayAudio(audioUrl2);
                            speedBtn.setVisibility(View.VISIBLE);
                            sek.setVisibility(View.VISIBLE);
                            controlBotton.setImageResource(R.drawable.puase_icon2);
                        } else if (!outputFile.exists() && networkInfo == null) {
                            dialog();
                        }
                    }

                } else {
                    Toast.makeText(this, "Permission Denied", Toast.LENGTH_SHORT).show();
                }
            } catch (Exception e) {
                Toast.makeText(this, "Server Error! Please try again later", Toast.LENGTH_SHORT).show();

            }

        });
        Listen3.setOnClickListener(v -> {
            t1.setTextColor(ContextCompat.getColor(this, R.color.white));
            t2.setTextColor(ContextCompat.getColor(this, R.color.white));
            t3.setTextColor(ContextCompat.getColor(this, R.color.Yellow));
            try {
                if (isStoragePermissionGranted(PDFViewActivity.this)) {
                    final String fileName = getFileNameFromUrl(audioUrl3);
                    final File outputFile = new File(getExternalFilesDir(Environment.DIRECTORY_MUSIC), fileName);
                    if (outputFile.exists()) {
                        playAudio(outputFile.getAbsolutePath(), seekBar);
                        sek.setVisibility(View.VISIBLE);
                        controlBotton.setImageResource(R.drawable.puase_icon2);
                        speedBtn.setVisibility(View.VISIBLE);

                    } else {
                        ConnectivityManager connectivityManager = (ConnectivityManager) getSystemService(Context.CONNECTIVITY_SERVICE);
                        NetworkInfo networkInfo = connectivityManager.getActiveNetworkInfo();
                        if (networkInfo != null && networkInfo.isConnected()) {
                            checkAndPlayAudio(audioUrl3);
                            sek.setVisibility(View.VISIBLE);
                            controlBotton.setBackgroundResource(R.drawable.puase_icon2);
                            speedBtn.setVisibility(View.VISIBLE);
                        } else if (!outputFile.exists() && networkInfo == null) {
                            dialog();
                        }
                    }

                } else {
                    Toast.makeText(this, "Permission Denied", Toast.LENGTH_SHORT).show();
                }
            } catch (Exception e) {
                Toast.makeText(this, "Server Error! Please try again later", Toast.LENGTH_SHORT).show();

            }

        });
        // Control Button Listener
        controlBotton.setOnClickListener(v -> {
            if (mediaPlayer1 != null) {
                if (mediaPlayer1.isPlaying()) {
                    mediaPlayer1.pause();
                    controlBotton.setImageResource(R.drawable.play_icon2);
                    // Stop updating SeekBar and current time when playback is paused
                    handler.removeCallbacksAndMessages(null);
                } else {
                    mediaPlayer1.start();
                    controlBotton.setImageResource(R.drawable.puase_icon2);
                    // Resume updating SeekBar and current time when playback is resumed
                    updateSeekBar(seekBar);
                }
            }
        });
        // SeekBar Listener
        seekBar.setOnSeekBarChangeListener(new SeekBar.OnSeekBarChangeListener() {
            @Override
            public void onProgressChanged(SeekBar seekBar, int progress, boolean fromUser) {
                if (fromUser && mediaPlayer1 != null) {
                    mediaPlayer1.seekTo(progress);
                }
            }

            @Override
            public void onStartTrackingTouch(SeekBar seekBar) {
                // Not needed, but implementation required
            }

            @Override
            public void onStopTrackingTouch(SeekBar seekBar) {
                // Not needed, but implementation required
            }
        });

        String filePath = getIntent().getStringExtra("pdf");
        if (filePath != null && !filePath.isEmpty()) {
            pdfView.fromFile(new File(filePath))
                    .enableSwipe(true)
                    .swipeHorizontal(false)
                    .enableDoubletap(true)
                    .defaultPage(0)
                    .enableAnnotationRendering(false)
                    .password(null)
                    .scrollHandle(null)
                    .enableAntialiasing(true)
                    .spacing(0)
                    // .pageFitPolicy(FitPolicy.BOTH)
                    .pageSnap(false) // snap pages to screen boundaries
                    .pageFling(false) // make a fling change only a single page like ViewPager
                    .onLoad(nbPages -> {
                        progressBar.setVisibility(View.GONE);
                    })
                    .load();
        } else {
            AlertDial();
        }

        speedBtn.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {

                PopupMenu popupMenu = new PopupMenu(PDFViewActivity.this, speedBtn);
                popupMenu.getMenuInflater().inflate(R.menu.popup_menu, popupMenu.getMenu());

                // Set up menu item click listener
                PopupMenu.OnMenuItemClickListener listener = new PopupMenu.OnMenuItemClickListener() {
                    @Override
                    public boolean onMenuItemClick(MenuItem item) {
                        final String fileName = getFileNameFromUrl(audioUrl3);
                        final File outputFile = new File(getExternalFilesDir(Environment.DIRECTORY_MUSIC), fileName);
                        // Check if there is an active MediaPlayer instance
                        if (mediaPlayer1 != null && mediaPlayer1.isPlaying()) {
                            mediaPlayer1.stop();
                            mediaPlayer1.release();
                            mediaPlayer1 = null;
                            handler.removeCallbacksAndMessages(null);
                        }

                        if (item.getItemId() == R.id.slowId) {
                            sRate = 0.75f;
                            playAudio(outputFile.getAbsolutePath(), seekBar);

                        }
                        if (item.getItemId() == R.id.normalId) {
                            sRate = 1.0f;
                            playAudio(outputFile.getAbsolutePath(), seekBar);

                        }
                        if (item.getItemId() == R.id.fastId) {
                            sRate = 1.5f;
                            playAudio(outputFile.getAbsolutePath(), seekBar);
                        }
                        // Start playback with the selected speed
                        return false;
                    }
                };
                popupMenu.setOnMenuItemClickListener(listener);
                popupMenu.show();

            }
        });
    }// onCreate End ===================


    private void initializeViews() {
        t1 = findViewById(R.id.t1);
        t2 = findViewById(R.id.t2);
        t3 = findViewById(R.id.t3);
        audiuSection = findViewById(R.id.audiuSection);
        Listen1 = findViewById(R.id.Listen1);
        Listen2 = findViewById(R.id.Listen2);
        Listen3 = findViewById(R.id.Listen3);
        pdfView = findViewById(R.id.pdfView);
        progressBar = findViewById(R.id.progressBar);
        sek = findViewById(R.id.sek);
        speedBtn = findViewById(R.id.nightMode);
        controlBotton = findViewById(R.id.playBotton);
        seekBar = findViewById(R.id.seekbar);
        TotalTime = findViewById(R.id.totalTime);
        CurrentTime = findViewById(R.id.currentTime);
    }


    private void checkAndPlayAudio(final String audioUrl) {
        final String fileName = getFileNameFromUrl(audioUrl);
        final File outputFile = new File(getExternalFilesDir(Environment.DIRECTORY_MUSIC), fileName);
        if (outputFile.exists()) {
            playAudio(outputFile.getAbsolutePath(), seekBar);

        } else {
            showProgressDialog();
            if (isStoragePermissionGranted(PDFViewActivity.this)) {
                ConnectivityManager connectivityManager = (ConnectivityManager) getSystemService(Context.CONNECTIVITY_SERVICE);
                NetworkInfo networkInfo = connectivityManager.getActiveNetworkInfo();
                if (networkInfo != null && networkInfo.isConnected()) {
                    downloadAndPlayAudio(audioUrl);
                } else {
                    AlertDial();
                }
            }
        }
    }

    private void downloadAndPlayAudio(final String audioUrl) {
        final String fileName = getFileNameFromUrl(audioUrl);
        final File outputFile = new File(getExternalFilesDir(Environment.DIRECTORY_MUSIC), fileName);
        new Thread(new Runnable() {
            @Override
            public void run() {
                try {
                    URL url = new URL(audioUrl);
                    HttpURLConnection connection = (HttpURLConnection) url.openConnection();
                    connection.connect();
                    int fileLength = connection.getContentLength();
                    InputStream inputStream = connection.getInputStream();
                    FileOutputStream outputStream = new FileOutputStream(outputFile);
                    byte[] buffer = new byte[1024];
                    int totalBytesRead = 0;
                    int bytesRead;
                    while ((bytesRead = inputStream.read(buffer)) != -1) {
                        outputStream.write(buffer, 0, bytesRead);
                        totalBytesRead += bytesRead;
                        final int progress = ((totalBytesRead * 100) / fileLength);
                        runOnUiThread(new Runnable() {
                            @Override
                            public void run() {
                                progressDialog.setProgress(progress);
                            }
                        });
                    }

                    outputStream.close();
                    inputStream.close();

                    runOnUiThread(new Runnable() {
                        @Override
                        public void run() {
                            progressDialog.dismiss();
                            Toast.makeText(PDFViewActivity.this, "Downloaded audio successfully", Toast.LENGTH_SHORT).show();
                            playAudio(outputFile.getAbsolutePath(), seekBar);
                        }
                    });
                } catch (IOException e) {
                    e.printStackTrace();
                    runOnUiThread(new Runnable() {
                        @Override
                        public void run() {
                            progressDialog.dismiss();
                            Toast.makeText(PDFViewActivity.this, "Failed to download audio", Toast.LENGTH_SHORT).show();
                        }
                    });
                }
            }
        }).start();
    }

    // Declare MediaPlayer object as a member variable

    private void playAudio(final String filePath, final SeekBar seekBar) {
        if (mediaPlayer1 != null) {
            mediaPlayer1.stop();
            mediaPlayer1.release();
            mediaPlayer1 = null;
        }

        mediaPlayer1 = new MediaPlayer(); // Create a new MediaPlayer instance

        try {
            mediaPlayer1.setDataSource(filePath);
            mediaPlayer1.prepareAsync();

            mediaPlayer1.setOnPreparedListener(new MediaPlayer.OnPreparedListener() {
                @Override
                public void onPrepared(MediaPlayer mp) {
                    if (Build.VERSION.SDK_INT >= Build.VERSION_CODES.M) {
                        PlaybackParams playbackParams = new PlaybackParams();
                        playbackParams.setSpeed(sRate);
                        mediaPlayer1.setPlaybackParams(playbackParams);
                    }
                    mediaPlayer1.start(); // Start playback after prepared
                    // Set total time
                    int totalTime = mediaPlayer1.getDuration();
                    seekBar.setMax(totalTime);
                    TotalTime.setText(millisecondsToTime(totalTime));
                    updateSeekBar(seekBar);
                }
            });

            mediaPlayer1.setOnCompletionListener(new MediaPlayer.OnCompletionListener() {
                @Override
                public void onCompletion(MediaPlayer mediaPlayer) {
                    seekBar.setProgress(0); // Reset SeekBar progress when audio playback is completed
                    CurrentTime.setText("00:00"); // Reset current time TextView
                    controlBotton.setImageResource(R.drawable.play_icon2);

                }
            });

            // Handle errors
            mediaPlayer1.setOnErrorListener(new MediaPlayer.OnErrorListener() {
                @Override
                public boolean onError(MediaPlayer mp, int what, int extra) {
                    mediaPlayer1.reset(); // Reset the MediaPlayer on error
                    return false;
                }
            });

        } catch (IOException e) {
            e.printStackTrace();
        }
    }

    // Method to update SeekBar progress and current time
    private void updateSeekBar(final SeekBar seekBar) {
        if (mediaPlayer1 != null && mediaPlayer1.isPlaying()) {
            int currentPosition = mediaPlayer1.getCurrentPosition();
            seekBar.setProgress(currentPosition);
            CurrentTime.setText(millisecondsToTime(currentPosition)); // Update current time TextView

            // Schedule next update after a short delay
            handler.postDelayed(new Runnable() {
                @Override
                public void run() {
                    updateSeekBar(seekBar);
                }
            }, 100); // You may adjust the delay (in milliseconds) for smoother seek bar updates
        } else {
            // If mediaPlayer1 is not playing, remove callbacks to stop updating the seek bar and current time TextView
            handler.removeCallbacksAndMessages(null);
        }
    }

    // Utility method to convert milliseconds to "mm:ss" format
    private String millisecondsToTime(int milliseconds) {
        int seconds = milliseconds / 1000;
        int minutes = seconds / 60;
        seconds = seconds % 60;
        return String.format("%02d:%02d", minutes, seconds);
    }

    private String getFileNameFromUrl(String url) {
        String[] segments = url.split("/");
        return segments[segments.length - 1];
    }

    private void showProgressDialog() {
        progressDialog = new ProgressDialog(this);
        progressDialog.setMessage("Downloading...");
        progressDialog.setMax(100);
        progressDialog.setProgressStyle(ProgressDialog.STYLE_HORIZONTAL);
        progressDialog.setCancelable(false);
        progressDialog.show();
    }


    private boolean isStoragePermissionGranted(Activity activity) {
        if (Build.VERSION.SDK_INT >= Build.VERSION_CODES.TIRAMISU) {
            int READ_MEDIA_AUDIO = ContextCompat.checkSelfPermission(activity, Manifest.permission.READ_MEDIA_AUDIO);
            List<String> listPermissionsNeeded = new ArrayList<>();
            if (READ_MEDIA_AUDIO != PackageManager.PERMISSION_GRANTED) {
                listPermissionsNeeded.add(Manifest.permission.READ_MEDIA_AUDIO);
            } else if (!listPermissionsNeeded.isEmpty()) {
                ActivityCompat.requestPermissions(activity, listPermissionsNeeded.toArray(new String[listPermissionsNeeded.size()]), REQUEST_ID_MULTIPLE_PERMISSIONS);
                return false;
            }
        } else if (Build.VERSION.SDK_INT >= Build.VERSION_CODES.M) {
            int WRITE_EXTERNAL_STORAGE = ContextCompat.checkSelfPermission(activity, Manifest.permission.WRITE_EXTERNAL_STORAGE);
            List<String> listPermissionsNeeded = new ArrayList<>();
            if (WRITE_EXTERNAL_STORAGE != PackageManager.PERMISSION_GRANTED) {
                listPermissionsNeeded.add(Manifest.permission.WRITE_EXTERNAL_STORAGE);
            } else if (!listPermissionsNeeded.isEmpty()) {
                ActivityCompat.requestPermissions(activity, listPermissionsNeeded.toArray(new String[listPermissionsNeeded.size()]), REQUEST_ID_MULTIPLE_PERMISSIONS);
                return false;
            }
        }
        return true;
    }

    private void dialog() {

        AlertDialog.Builder builder = new AlertDialog.Builder(PDFViewActivity.this);
        builder.setTitle("No Internet !");
        builder.setMessage("Please check your internet connection");
        builder.show();
    }

    private void AlertDial() {

        AlertDialog.Builder builder = new AlertDialog.Builder(PDFViewActivity.this);
        builder.setTitle("Error !");
        builder.setMessage("Please Stay Connected. We are solving soon");
        builder.show();
    }

    public void load_facebookFullAd(){

        interstitialAd = new com.facebook.ads.InterstitialAd(this, "YOUR_PLACEMENT_ID");
        // Create listeners for the Interstitial Ad
        InterstitialAdListener interstitialAdListener= new InterstitialAdListener() {
            @Override
            public void onInterstitialDisplayed(Ad ad) {

            }

            @Override
            public void onInterstitialDismissed(Ad ad) {
                load_facebookFullAd();
                PDFViewActivity.super.onBackPressed();
            }
            @Override
            public void onError(Ad ad, AdError adError) {

            }

            @Override
            public void onAdLoaded(Ad ad) {

            }

            @Override
            public void onAdClicked(Ad ad) {

            }

            @Override
            public void onLoggingImpression(Ad ad) {

            }
        };
        // For auto play video ads, it's recommended to load the ad
        // at least 30 seconds before it is shown
        interstitialAd.loadAd(
                interstitialAd.buildLoadAdConfig()
                        .withAdListener(interstitialAdListener)
                        .build());
    }

    @Override
    protected void onPause() {
        if (mediaPlayer1 != null) {
            mediaPlayer1.pause();
        }
        super.onPause();
    }

    @Override
    protected void onResume() {
        if (mediaPlayer1 != null) {
            mediaPlayer1.pause();
        }
        super.onResume();
    }

    @Override
    protected void onDestroy() {
        if (mediaPlayer1 != null) {
            mediaPlayer1.release();
            mediaPlayer1 = null;
        }
        if (AdClass.faceBookadView != null) {
            AdClass.faceBookadView.destroy();
        }
        if(AdClass.interstitialAd!=null){
            AdClass.interstitialAd.destroy();
        }
        super.onDestroy();
    }

    @Override
    public void onBackPressed() {
        if (mediaPlayer1 != null) {
            mediaPlayer1.release();
            mediaPlayer1 = null;
        }
        if (interstitialAd!=null && interstitialAd.isAdLoaded()){
            interstitialAd.show();
        }else {
            super.onBackPressed();
        }
    }
}