package com.rma.epstopik_bengaliword;

import androidx.appcompat.app.AppCompatActivity;
import android.app.AlertDialog;
import android.content.Context;
import android.net.ConnectivityManager;
import android.net.NetworkInfo;
import android.os.Bundle;
import android.os.Handler;
import android.view.View;
import android.webkit.WebView;
import android.widget.ProgressBar;
import android.widget.Toast;

public class PrivacyActivity extends AppCompatActivity {

  private WebView webViewid;
    public static String url1;
    ProgressBar progressBar;
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_policy);

        webViewid=findViewById(R.id.mwebid);
        progressBar=findViewById(R.id.progrees);


        ConnectivityManager connectivityManager = (ConnectivityManager) getSystemService(Context.CONNECTIVITY_SERVICE);
        NetworkInfo networkInfo = connectivityManager.getActiveNetworkInfo();
        if (networkInfo != null && networkInfo.isConnected()) {

            new Handler().postDelayed(new Runnable() {
                @Override
                public void run() {
                    progressBar.setVisibility(View.GONE);
                    loadPrivacyPolicy();
                }
            },600);

        } else {
            showNoInternetDialog();
        }
    }

    private void loadPrivacyPolicy() {
            webViewid.loadUrl(url1);
    }
    private void showNoInternetDialog() {
        AlertDialog.Builder alertDialog = new AlertDialog.Builder(this);
        alertDialog.setTitle("No Internet");
        alertDialog.setMessage("Please check your internet connection");
        alertDialog.setPositiveButton("Retry", (dialog, which) -> {
            ConnectivityManager connectivityManager = (ConnectivityManager) getSystemService(Context.CONNECTIVITY_SERVICE);
            NetworkInfo networkInfo = connectivityManager.getActiveNetworkInfo();
            if (networkInfo != null && networkInfo.isConnected()) {
                loadPrivacyPolicy();
            } else {
                showNoInternetDialog();
            }
        });
        alertDialog.setNegativeButton("Exit", (dialog, which) -> finish());
        alertDialog.setCancelable(false);
        alertDialog.show();
    }
}