package com.rma.epstopik_bengaliword;

import android.content.Intent;
import android.os.Bundle;
import android.os.Handler;
import android.view.View;
import android.widget.ProgressBar;
import android.widget.TextView;

import androidx.activity.EdgeToEdge;
import androidx.appcompat.app.AppCompatActivity;
import androidx.core.content.ContextCompat;

public class SplashScreen extends AppCompatActivity {


    private ProgressBar progressBar;
    TextView loadText;
    private static final long SPLASH_DISPLAY_DURATION = 2700; // Splash screen display duration in milliseconds

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        EdgeToEdge.enable(this);
        setContentView(R.layout.splashscreen);


        getWindow().setStatusBarColor(ContextCompat.getColor(this, R.color.ddddd));
        getWindow().setNavigationBarColor(ContextCompat.getColor(this, R.color.ddddd));
        progressBar=findViewById(R.id.progress);
        loadText=findViewById(R.id.loadText);
        delayHandler();
    }
    private void delayHandler(){
        new Handler().postDelayed(new Runnable() {
            @Override
            public void run() {
                progressBar.setVisibility(View.GONE);
                loadText.setText("Please wait a moment");
                startActivity(new Intent(SplashScreen.this,MainActivity.class));
                finish();
            }
        },SPLASH_DISPLAY_DURATION);
    }

}