package com.rma.epstopik_bengaliword;


import androidx.annotation.NonNull;
import androidx.appcompat.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.ArrayAdapter;
import android.widget.LinearLayout;
import android.widget.ListView;

import com.google.android.gms.ads.AdError;
import com.google.android.gms.ads.FullScreenContentCallback;
import com.rma.epstopik_bengaliword.Admov.AdClass;
import com.rma.epstopik_bengaliword.Admov.ControlAd;

public class WordActivity2 extends AppCompatActivity {

    ListView wordList2;
    public static String[] strings;
    ArrayAdapter<String> adapter;


    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_word2);

        AdClass.requestFullScreenAds(WordActivity2.this);

        LinearLayout fAd_container=findViewById(R.id.banner_container);
        if (fAd_container!=null){
            AdClass.requestFb_BannerAds(this,fAd_container);
        }else if (fAd_container==null){
            fAd_container.setVisibility(View.GONE);
        }

        wordList2 = findViewById(R.id.wordList2);
        adapter=new ArrayAdapter<>(WordActivity2.this,R.layout.word_view2,R.id.word_text2,strings);
        wordList2.setAdapter(adapter);

    }


    @Override
    protected void onDestroy() {
        if (AdClass.faceBookadView!=null){
            AdClass.faceBookadView.destroy();
        }
        super.onDestroy();
    }

    @Override
    public void onBackPressed() {
        if (ControlAd.Clicked>=3) {
            if (AdClass.mInterstitialAd!=null){
                AdClass.mInterstitialAd.show(this);
                AdClass.mInterstitialAd.setFullScreenContentCallback(new FullScreenContentCallback() {
                    @Override
                    public void onAdDismissedFullScreenContent() {
                        super.onAdDismissedFullScreenContent();
                        AdClass.loadFullScreenAd(WordActivity2.this);
                        WordActivity2.super.onBackPressed();
                        ControlAd.Clicked=0;
                    }

                    @Override
                    public void onAdFailedToShowFullScreenContent(@NonNull AdError adError) {
                        super.onAdFailedToShowFullScreenContent(adError);}
                });
            }else {
                super.onBackPressed();
            }

        }else {
            super.onBackPressed();
            ControlAd.Clicked++;
        }
    }
}