package com.rma.epstopik_bengaliword;


import androidx.annotation.NonNull;
import androidx.appcompat.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.ExpandableListView;
import android.widget.LinearLayout;
import com.google.android.gms.ads.AdError;
import com.google.android.gms.ads.FullScreenContentCallback;
import com.rma.epstopik_bengaliword.Admov.AdClass;
import com.rma.epstopik_bengaliword.Admov.ControlAd;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;

public class WordTestActivity extends AppCompatActivity {

  private  ExpandableListView expandableList;
  private MyAdapter myAdapter;
  public static String[] headerString;

  private List<String> listDataHeader;
    private HashMap<String,List<String>>listDataChild;
  private int LastClicked=0;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_word_test);

        AdClass.requestFullScreenAds(WordTestActivity.this);

        LinearLayout adContainer=findViewById(R.id.adContainer);
        if (adContainer!=null){
            AdClass.requestBannerAds(this,adContainer);
        } else if(adContainer==null) {
            adContainer.setVisibility(View.GONE);
        }
        prepareData2();
        expandableList=findViewById(R.id.expandableList);
        myAdapter=new MyAdapter(this,listDataHeader,listDataChild);
        expandableList.setAdapter(myAdapter);
       expandableList.setOnGroupExpandListener(new ExpandableListView.OnGroupExpandListener() {
           @Override
           public void onGroupExpand(int groupPosition) {
               if (LastClicked!=0 && LastClicked!=groupPosition){
                   expandableList.collapseGroup(LastClicked);
               }
               LastClicked=groupPosition;
           }
       });


    }


    private void prepareData2(){

        listDataHeader = new ArrayList<>();
        listDataChild = new HashMap<>();

        for (String item : headerString) {
            String[] parts = item.split("\\s+➝\\s+");
            if (parts.length == 2) {
                String koreanPart = parts[0].trim();
                String bengaliPart = parts[1].trim();
                listDataHeader.add(koreanPart);

                List<String> child = new ArrayList<>();
                child.add(bengaliPart);
                listDataChild.put(koreanPart, child);
            }
        }

    }

    @Override
    public void onBackPressed() {
        if (ControlAd.Clicked>=3) {

            if (AdClass.mInterstitialAd!=null){
                AdClass.mInterstitialAd.show(this);
                AdClass.mInterstitialAd.setFullScreenContentCallback(new FullScreenContentCallback() {
                    @Override
                    public void onAdDismissedFullScreenContent() {
                        super.onAdDismissedFullScreenContent();
                        AdClass.loadFullScreenAd(WordTestActivity.this);
                        WordTestActivity.super.onBackPressed();
                        ControlAd.Clicked=0;
                    }

                    @Override
                    public void onAdFailedToShowFullScreenContent(@NonNull AdError adError) {
                        super.onAdFailedToShowFullScreenContent(adError);}
                });
            }else {
                super.onBackPressed();
            }

        }else {
            super.onBackPressed();
            ControlAd.Clicked++;
        }
    }
}