package com.rma.epstopik_bengaliword.fragments;

import androidx.annotation.NonNull;
import androidx.fragment.app.Fragment;
import androidx.fragment.app.FragmentActivity;
import androidx.viewpager2.adapter.FragmentStateAdapter;

public class HangulAdapter extends FragmentStateAdapter {

    public HangulAdapter(@NonNull FragmentActivity fragmentActivity) {
        super(fragmentActivity);
    }

    @NonNull
    @Override
    public Fragment createFragment(int position) {

        switch (position){
            case 0:
                return new HangulFragment1();
            case 1:
                return new HangulFragment2();
            case 2:
                return new PronounciationFragment();
            case 3:
                return new PronounciationFragment2();
            default:
                return new HangulFragment1();
        }
    }

    @Override
    public int getItemCount() {
        return 4;
    }
}
